Savings
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Calculate the savings details of a specific preset
Use this method to calculate the savings details of a specific preset and get a schedule of interest payments.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
preset_id*string
The universally unique identifier (UUID) of a savings preset.
Format
uuidpreset_id*string
Format
uuidLength
36 <= length <= 36Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/savings/presets/497f6eca-6276-4993-bfeb-53cbbbba6f08/calculate"{ "data": { "presetId": "09d5ce50-5fe8-469f-b6c4-c39698f98c22", "strategy": "fixed", "details": { "startAt": "2023-11-17T10:30:01Z", "maturityAt": "2023-11-17T10:30:01Z", "currencyAlpha": "USD", "payments": [ { "dueAt": "2023-11-17T10:30:01Z", "amount": 5.5 } ] } }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Preset not Found" }}{ "error": { "message": "Cannot calculate inactive preset" }}{ "error": { "message": "Service Unavailable" }}